import request from '@/utils/request'

// 查询单生成记录列表
export function listForm(query) {
    return request({
        url: '/generator/form/list',
        method: 'get',
        params: query
    })
}

// 查询单生成记录详细
export function getForm(id) {
    return request({
        url: '/generator/form/' + id,
        method: 'get'
    })
}

// 新增单生成记录
export function addForm(data) {
    return request({
        url: '/generator/form',
        method: 'post',
        data: data
    })
}

// 修改单生成记录
export function updateForm(data) {
    return request({
        url: '/generator/form',
        method: 'put',
        data: data
    })
}

// 删除单生成记录
export function delForm(id) {
    return request({
        url: '/generator/form/' + id,
        method: 'delete'
    })
}

export function editDrawingData(data) {
  return request({
    url: '/generator/form/editDrawingData',
    method: 'post',
    data: data
  })
}
